


NSRIB(8)                                                 NSRIB(8)


NNAAMMEE
       nsrib - NetWorker index browser daemon

SSYYNNOOPPSSIISS
       nnssrriibb [ --ss _s_e_r_v_e_r ] [ --tt _t_i_m_e_o_u_t ] [ --vv ] [ --MM ]
           [  --ii _# ] [ --CC _# ] [ --DD _# ] [ --RR _# ] [ --TT _r_d_i_r ] [ _d_i_r
       ]

       nnssrriibbaa [ --ss _s_e_r_v_e_r ] [ --cc _c_l_i_e_n_t ] [ --pp _p_a_t_h ] [ --vv ]
           [ --tt _b_r_o_w_s_e___d_a_t_e ] [ --II _i_n_d_e_x___t_y_p_e ] [ --NN _s_e_s_s_i_o_n___n_a_m_e
       ]
           [  --ii _# ] [ --CC _# ] [ --DD _# ] [ --RR _# ] [ --TT _r_d_i_r ] [ _d_i_r
       ]

DDEESSCCRRIIPPTTIIOONN
       The nnssrriibb (index browser) and nnssrriibbaa (index browser agent)
       daemons  provide  a  convenient  NFS interface in which to
       view NetWorker indexes.   Using  nnssrriibb  is  the  preferred
       method as it will launch and manage the appropriate nnssrriibbaa
       processes as needed.  The nnssrriibbaa daemon gives you  an  NFS
       file  system view of a particular NetWorker client's index
       as of a given time and can be used directly for situations
       where  the  flexibility provided by nnssrriibb is not required.
       The nnssrriibb and nnssrriibbaa daemons appear to be an NFS server to
       the local kernel in a manner similar to aauuttoommoouunntt(8).

       The  nnssrriibb  daemon  will interpret names referenced in _d_i_r
       without an `@' as a NetWorker client index to browse.  You
       can also construct names of the form _c_l_i_e_n_t_@_d_a_t_e to browse
       a particular index as of a particular time.  You can  also
       use the name of the form _@_d_a_t_e to browse the index for the
       local machine.  _d_a_t_e is interpreted  as  a  nnssrr__ggeettddaattee(3)
       style  string after replacing any underscores ('_') with a
       space (' ') and all dashes ('-') with a slash ('/').  When
       nnssrriibb  gets such a name request, it will launch and manage
       appropriate nnssrriibbaa process on a mount point that it builds
       in  _d_i_r  automatically.   If the nnssrriibbaa file system is not
       accessed  within  an  appropriate  interval,  nnssrriibb   will
       attempt  an umount of the nnssrriibbaa file system.  If success-
       ful, the symbolic link and mount directory created in  _d_i_r
       is removed.

       Below  the  _d_i_r_/_c_l_i_e_n_t_@_d_a_t_e directory for nnssrriibb (or within
       the _d_i_r directory for nnssrriibbaa),  a  read-only  file  system
       consisting of the entire NetWorker index for the specified
       client can be seen.  If the local machine  does  not  have
       NetWorker  rreeccoovveerr  aacccceessss rights for the specified client
       (see nnssrr__cclliieenntt(5)), or if there are  no  entries  in  the
       NetWorker  index for the specified client at the appropri-
       ate time, then the directory will be empty (nnssrriibb) or  the
       command  will  fail  (nnssrriibbaa).   The files and directories
       with in the nnssrriibbaa file system will appear as normal  UNIX
       files  just  as  in rreeccoovveerr(8) except that the access time
       (atime) of all files will be the "save time" of the  file,



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRIB(8)                                                 NSRIB(8)


       not  the  access  time of the file as stored in the index.
       Thus running llss --lluu within an nnssrriibbaa directory  will  show
       all the file save times.  If an file within an nnssrriibbaa file
       system is read, then nnssrriibbaa will either recover  the  file
       and  then return the resultant file as needed or return an
       NFSERR_OPNOTSUPP ("Operation not supported")  error.   The
       actual  behavior is dependent on the --RR and --CC flags below
       and whether the file appears to be currently "on-line"  to
       NetWorker.  If a file is to be recovered, the actual oper-
       ation may take a long  time  depending  primarily  at  the
       speed  and  location  of the underlying media that will be
       needed to recover the file.  A separate process is used to
       do the actual file recovery so that the nnssrriibbaa process can
       still respond to new NFS operations.

       Within nnssrriibbaa file systems, hidden directories can be ref-
       erenced  for  each  file  or directory to give information
       similar to the rreeccoovveerr(8) vveerrssiioonn command.   These  hidden
       directories are named _f_i_l_e.V.  Since these hidden directo-
       ries names are never returned for things like  rreeaaddddiirr(2),
       programs  like  ffiinndd(1) that traverse the file system will
       never see these directories.  The files/directories within
       these  hidden directories are built up using the NetWorker
       file location information.   The  hidden  directories  for
       directories  can either be named as ".V" within the direc-
       tory or as _d_i_r_n_a_m_e.V from above the directory.   But  when
       using  nnssrriibb,  you  can only use _d_i_r_/_c_l_i_e_n_t_@_d_a_t_e_/_._V to see
       all the versions for "/".  Files within the hidden  direc-
       tories  can  be  read (recovered) as any other file within
       the nnssrriibbaa file system.

       nnssrriibb and nnssrriibbaa must not be terminated with  the  SIGKILL
       signal  (kill  -9).   Without  an  opportunity  to unmount
       itself and clean up properly, the nnssrriibb and  nnssrriibbaa  mount
       points  will  appear to the kernel as a non-responding NFS
       server.  The recommended way  to  terminate  an  nnssrriibb  or
       nnssrriibbaa  process  is to send a SIGTERM (kill -15) signal to
       the daemon.  When nnssrriibbaa receives  a  SIGTERM  signal,  it
       will  attempt  to  unmount  itself  and  will  exit if the
       unmount is successful (the file system  is  not  currently
       busy).   When nnssrriibb receives a SIGTERM signal, it will try
       to signal any child  nnssrriibbaa  processes  to  exit  that  it
       started.   If  all child nnssrriibbaa processes exit, nnssrriibb will
       then attempt to unmount _d_i_r itself and will  exit  if  the
       unmount  is  successful  (the file system is not currently
       busy).

OOPPTTIIOONNSS
       Common nnssrriibb and nnssrriibbaa options:

       --ss _s_e_r_v_e_r   NetWorker server to use.

       --ii _#        Specifies "in place" mode if the corresponding
                   file  in  the system is a symlink whose target



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRIB(8)                                                 NSRIB(8)


                   string has the file name at the end.
                   0 - never to "in place" recovers
                   1 - do "in  place"  recovers  only  for  exact
                   matches with names of "file@date"
                   2  -  do  "in  place" recovers on any matching
                   symlink target
                   Default value is 1.

       --vv          Run in verbose mode.  This should only be used
                   for debugging purposes.

       --CC _#        Sets  an  upper limit on the number of concur-
                   rent file recovers that can be going at  once.
                   A  value of 0 will disable all recovers (inde-
                   pendent of the --RR value below).  Default value
                   is 2.

       --DD _#        Specifies the debug level for messages.  Using
                   a number from 1 - 3 to  get  various  (reason-
                   able)  levels  of  output.   When running in a
                   debugging mode, nnssrriibb will  not  automatically
                   run  itself  in the background.  Default value
                   is 0.

       --RR _#        Specifies recover mode on read.
                   0 - never recover the file on NFS read.
                   1 - recover the file on NFS read if "on-line".
                   2 - always attempt a recovery of a file on NFS
                   read.
                   Default value is 2.

       --TT _r_d_i_r     Temporary directory to used to cache recovered
                   files.          Default        value        is
                   "/usr/tmp/nsrib/Rtmp.client".

       The --ii, --ss, --vv, --CC, --DD, --RR, and --TT options  to  nnssrriibb  are
       passed through to each nnssrriibbaa program started.

       The following options apply only to nnssrriibb:

       --tt _t_i_m_e_o_u_t  Time  in  minutes to attempt umounts of nnssrriibbaa
                   browsing directories.  Default is 30  minutes.

       --MM          The  nnssrriibb  is being monitored by another pro-
                   cess (such as nnssrreexxeeccdd(8)), and should not run
                   in the background.

       The following options apply only to nnssrriibbaa:

       --cc _c_l_i_e_n_t   NetWorker client index name to browse.

       --pp _p_a_t_h     NetWorker index path to browse.





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





NSRIB(8)                                                 NSRIB(8)


       --tt _b_r_o_w_s_e___d_a_t_e
                   A  nnssrr__ggeettddaattee(3) string giving the "browse as
                   of" time.  Default value is nnooww.

       --II _i_n_d_e_x___t_y_p_e
                   Type of index  that  is  being  browsed.   The
                   default is a backup index.

       --NN _s_e_s_s_i_o_n___n_a_m_e
                   Name to used to generate the NetWorker session
                   name.  Default value is  the  mount  directory
                   _d_i_r.

EEXXAAMMPPLLEESS
       These  examples  assume that nnssrriibb has been started on the
       //iibb directory.

       _F_i_n_d_i_n_g _f_i_l_e_s
              To find all versions of a file named _f_o_o that  were
              owned  by  _u_s_e_r  last  week.   Note that when using
              ffiinndd(1), you should ccdd(2) to the directory first to
              avoid using the symbolic link instead of the resul-
              tant directory.

                     ccdd //iibb//@@llaasstt__wweeeekk;; ffiinndd .. --nnaammee _f_o_o --uusseerr _u_s_e_r --llss

       _S_e_e_i_n_g _s_a_v_e_d _v_e_r_s_i_o_n_s
              To see all the saved versions of  //vvaarr//aaddmm//mmeessssaaggeess
              for  a  NetWorker  client _c_l_i_e_n_t_n_a_m_e.  Note that by
              using the --uu flag to llss(1),  the  file  save  times
              will be displayed in the llss date field.

                      llss --lluu //iibb//_c_l_i_e_n_t_n_a_m_e//vvaarr//aaddmm//mmeessssaaggeess..VV

       _R_e_c_o_v_e_r_i_n_g _f_i_l_e_s
              To recover //eettcc//ffssttaabb as of yesterday into the //ttmmpp
              directory.

                      ccpp //iibb//@@yyeesstteerrddaayy//eettcc//ffssttaabb //ttmmpp//ffssttaabb

FFIILLEESS
       //eettcc//mmttaabb   Updated on SunOS 4.1.x  as  nnssrriibb  and  nnssrriibbaa
                   processes are mounted and umounted.

       //eettcc//mmnnttttaabb Updated  on  Solaris  2.x  as nnssrriibb and nnssrriibbaa
                   processes are mounted and umounted.

       //iibb         Directory on which nnssrriibb will mount itself.

       //uussrr//ttmmpp//nnssrriibb
                   Default file cache directory tree.

SSEEEE AALLSSOO
       mmoouunntt(2V), uummoouunntt(2V), ssiiggnnaall(3), nnssrr__ggeettddaattee(3),  nnssrr(5),



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4





NSRIB(8)                                                 NSRIB(8)


       nnssrr__cclliieenntt(5),  aauuttoommoouunntt(8),  nnssrriinnddeexxdd(8),  nnssrreexxeeccdd(8),
       rreeccoovveerr(8)

BBUUGGSS
       The ppwwdd(1) command fails from within a hidden ".V"  direc-
       tory.

       The file system statistics returned to programs like ddff(1)
       aren't terribly useful.

       An unreliable heuristic is used to determine if a file  is
       currently  "on-line"  for recovery if the NetWorker server
       version is 3.x or earlier.  In particular, if a volume  on
       a  pre-4.0  NetWorker server is marked to be at some loca-
       tion using the mmmmllooccaattee(8) command, nnssrriibbaa always believes
       that the volume is "on-line".









































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        5


